<div class="listViewItems" *ngFor="let singleCard of cardList">
    <h5 id="cardBorder">
        <a routerLink='/checklist/{{singleCard.id}}'>
            {{ singleCard.name }}
        </a>
        <button (click)= "deleteCardList(singleCard.id)">X</button>
        <button>Edit</button>
    </h5>
</div>
<div>
    <input [(ngModel)]="cardName" type="text" 
    class="inputCard" placeholder="add new card">
    {{ cardName }}
    <button (click)= "postCardList(); cardName=''" >add</button>
</div>